[心得] 升級PHP5.5&安裝OpenCart

目前使用的系統是CentOs6.5預設的PHP是5.3

要安裝opencart時卻發現不支援PHP5.3

所以進行PHP的升級

1.下載以下的檔案

wget http://dl.fedoraproject.org/pub/epel/6/i386/epel-release-6-8.noarch.rpm
wget http://rpms.famillecollet.com/enterprise/remi-release-6.rpm

2.接下來執行下載的檔案

rpm -Uvh remi-release-6.rpm epel-release-6-8.noarch.rpm

3.修改/etc/yum.repos.d/remi.repo 設定檔

remi.repo

把黃色框起來的[enable]設為1

5.停用httpd&升級系統

service httpd stop
yum update

6.更新完之後檢查php版本是否有升級到5.5(用php -v)

7.接下來安裝opencart之前先更新幾個必要的套件

yum install php-gd mcrypt php-mcrypt

8.下載OpenCart並上傳到網站目錄底下,按照install.txt的說明進行安裝

中文版可以在這邊下載OpenCart x 中文 (內有正體中文說明的install.txt)

opencart

既然安裝說明檔已經是中文了,本篇就到這邊結束,謝謝收看

 


補充:

0.我的OpenCart Demo

1.OpenCart官網
2.OpenCart中文 (個人)
3.OpenCart中國 (非官方)

5.Howto Install PHP 5.4, 5.5 or 5.6 on CentOS 6 and CentOS 7
6.新安裝 CentOS 6.5 筆記

Facebook Comments